EDIT - bug #10175

lllegalStateException when more than 10 exceptions in UpdateResult
10/25/2022 01:34 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.34

Severity: normal Found in Version:

Description

This is because the queue is implemented as an array (https:/codechacha.com/en/java-arrayblockingqueue/) and trying to add more
items than the initial size throws an illegal state exception:

mail ERS:

Hallo,

hat meine Fehlermeldung (mails von letzter Woche an VL-BGBM-EditSupport) euch erreicht?

Der Fehler ist jetzt wiederaufgetreten, beim Versuch, eines der Duplikate — Alyssum minus Rothm., Syn. von Alyssum simplex

Rudolphi — zu I6schen.

Viele GriR3e, Eckhard

last remote method : https://api.cybertaxonomy.org:443/euromed/remoting/taxon.service

last remote request client time

2022-10-25T11:

last remote request response header time : Tue,
client error time : 2022-10-25T11:11:38.399

login : e.raabstraube

editor version : 5.33.0

11:38.314
25 Oct 2022 09:11:38 GMT

server : api.cybertaxonomy.org (cybertaxonomy.org) / euromed
schema version : 5.33.0.0.20220807
os : Windows 10 10.0 amdé64

java : 1.8.0_201
Related issues:

Related to EDIT - task #10009: Cleanup dependencies in TaxEditor Closed 05/10/2022 05/13/2022

Associated revisions

Revision 31406db1 - 10/25/2022 02:23 PM - Andreas Miuller

fix #10175 replace ArrayBlockingQueue by CircularFifoQueue (commons-collecions4 , ref #10009

History

#1 - 10/25/2022 02:01 PM - Andreas Miiller
- Related to task #10009: Cleanup dependencies in TaxEditor added

#2 - 10/25/2022 02:06 PM - Andreas Miiller

- Description updated

#3 - 10/25/2022 02:23 PM - Andreas Miiller

- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset cdmlib|31406db107c5¢237ef4a2eac0353ac25e00c18b6.

#4 - 10/25/2022 02:27 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Katja Luther
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/31406db107c5c237ef4a2eac0353ac25e00c18b6

This should be fixed. | replaced ArrayBlockingQueue by CircularFifoQueue from commons-collections4 which is similar to the CircularFifoBuffer used
before. Commons-collections is used in TaxEditor anyway so no need for additional dependency.

Please review carefully as fixed on theoretical level.

#5 - 10/25/2022 02:27 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.35

#6 - 10/28/2022 02:35 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.34

#7 - 10/28/2022 05:46 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 70 to 100

| tested with Alyssum minus in E+M on test and the problem does not exist anymore.
